



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Ubuntu创建新用户的正确姿势</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Ubuntu创建新用户的正确姿势</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-29 16:00:47 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<blockquote><p>作者按：因为教程所示图片使用的是 github 仓库图片，网速过慢的朋友请移步<a href="https://godbmw.com/passage/65" rel="external nofollow noreferrer">《Ubuntu 创建新用户的正确姿势》原文地址</a>。更欢迎来我的小站看更多原创内容：<a href="https://godbmw.com/" rel="external nofollow noreferrer">godbmw.com</a>，进行“姿势”交流 ♪(<sup>∇</sup>*)</p></blockquote>
<h2>1. 前言</h2>
<p>最近在学习《系统编程》，老师让创建新的用户，以<code>name+学号</code>的格式命名，来防止抄袭。</p>
<p>因此，每次到一台新电脑，都要在 ubuntu 上创建新用户。然而，<code>sudo useradd 用户名</code>只能创建用户，却无法在<code>/home/</code>中创建用户目录，也无法设置用户权限。</p>
<p>查了很多篇博客，为了方便查阅，记录一下创建新用户并且分配权限的正确方法。</p>
<h2>2. 创建用户目录</h2>
<p>创建新用户：<code>sudo useradd -r -m -s /bin/bash dongyuanxin_2016150127</code>。</p>
<p><strong>在 Ubuntu18.04 中，不会在创建用户的时候自动提示设置密码。需要手动执行：<code>sudo passwd dongyuanxin_2016150127</code>。来设置新用户的密码。</strong></p>
<p>其中参数的意义如下：</p>
<pre class="prettyprint linenums"><code>-r：建立系统账号<br />
-m：自动建立用户的登入目录<br />
-s：指定用户登入后所使用的shell<br />
</code></pre>
<p>输入<code>ls /home/</code>，可以看到用户目录被成功创建了：</p>
<p><img referrerpolicy="no-referrer"src="https://raw.githubusercontent.com/dongyuanxin/markdown-static/master/Linux/Ubuntu%E5%88%9B%E5%BB%BA%E6%96%B0%E7%94%A8%E6%88%B7%E7%9A%84%E6%AD%A3%E7%A1%AE%E5%A7%BF%E5%8A%BF/1.png"></p>
<h2>3. 修改用户权限</h2>
<p>这里采用修改<code>/etc/sudoers</code>文件的方法分配用户权限。因为此文件只有<code>r</code>权限，在改动前需要增加<code>w</code>权限，改动后，再去掉<code>w</code>权限。</p>
<pre class="prettyprint linenums"><code>sudo chmod +w /etc/sudoers<br />
sudo vim /etc/sudoers<br />
# 添加下图的配置语句，并且保存修改<br />
sudo chmod -w /etc/sudoers<br />
</code></pre>
<p><img referrerpolicy="no-referrer"src="https://raw.githubusercontent.com/dongyuanxin/markdown-static/master/Linux/Ubuntu%E5%88%9B%E5%BB%BA%E6%96%B0%E7%94%A8%E6%88%B7%E7%9A%84%E6%AD%A3%E7%A1%AE%E5%A7%BF%E5%8A%BF/2.png"></p>
<p>到此，新用户创建成功，并且用户目录被创建，权限也分配成功。如下图所示：</p>
<p><img referrerpolicy="no-referrer"src="https://raw.githubusercontent.com/dongyuanxin/markdown-static/master/Linux/Ubuntu%E5%88%9B%E5%BB%BA%E6%96%B0%E7%94%A8%E6%88%B7%E7%9A%84%E6%AD%A3%E7%A1%AE%E5%A7%BF%E5%8A%BF/3.png"></p>
<h2>4. 删除用户</h2>
<p>删除用户的操作分为 3 步：</p>
<ol><li>执行<code>userdel</code>：<code>sudo userdel dongyuanxin_2016150127</code></li>
<li>删除用户目录：<code>sudo rm -rf /home/dongyuanxin_2016150127</code></li>
<li>删除用户权限相关配置：删除或者注释掉<code>/etc/sudoers</code>中关于要删除用户的配置，否则无法再次创建同名用户。</li></ol>
<h2>5. 资料参考</h2>
<ul><li><a href="https://blog.csdn.net/davil_dev/article/details/6942128" rel="external nofollow noreferrer">USERADD 命令详解</a></li>
<li><a href="https://www.linuxidc.com/Linux/2016-08/134451.htm" rel="external nofollow noreferrer">Linux 中 sudo 的用法和 sudoers 配置详解</a></li></ul>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/49gmex09.html">Android设置图片内存溢出（OOM）问题&mdash;&mdash;Android开发进阶之路6</a>
		</li>
						<li><a href="https://www.batexi.com/a/wq1yy64q.html">基于VC的ACM音频编程接口压缩Wave音频（二）</a>
		</li>
						<li><a href="https://www.batexi.com/a/m96z5nyq.html">CNN笔记</a>
		</li>
						<li><a href="https://www.batexi.com/a/xq4w7o09.html">java时间和日期类型</a>
		</li>
						<li><a href="https://www.batexi.com/a/rqlrwkxq.html">http&colon;&sol;&sol;10&period;11&period;112&period;12&colon;8000&sol;homePage&period;jsp&quest;loginMode&equals;JS</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8o7kx1q.html">form表单那点事儿&lpar;下&rpar; 进阶篇</a>
		</li>
						<li><a href="https://www.batexi.com/a/0qw6poy9.html">Gradle构建Java项目</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mnx4p0q.html">mysql主配置文件my&period;cnf详细说明</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxnjy208.html">IntelliJ插件安装</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mn4z36q.html">Java基础知识强化04：判断101~200之间有多少素数</a>
		</li>
						<li><a href="https://www.batexi.com/a/qde44o09.html">niop 2014寻找道路</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gmly309.html">IOS 8弃用api</a>
		</li>
						<li><a href="https://www.batexi.com/a/qljmjne9.html">&lbrack;置顶&rsqb; 让导入的Android项目，运行起来的方法。</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pdoeo79.html">Day5&lowbar;模块与包（import）（form&period;&period;&period;&period;&period;&period;import&period;&period;&period;&period;）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gjz1479.html">vue&plus;iview实现table和分页及与后台数据交互</a>
		</li>
						<li><a href="https://www.batexi.com/a/9ppnnyd9.html">巧用foxmail同步qq邮箱的通讯录</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jmmlwe9.html">Unicode编码：保存中文cookie</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zk4mpv8.html">APP自动化测试怎么测？</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jmd36w9.html">Software Defined Networking&lpar;Week 2&comma; part 1&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdj3rvzq.html">面试题 Comparable、Comparator 比较</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/qnvv2og8.html">java&period;lang&period;OutOfMemoryError&colon; PermGen space （jvm内存泄漏解决办法）</a>
			</li>
						<li><a href="https://www.batexi.com/a/93wwndwq.html">&lbrack;ARCH&rsqb; 1、virtualbox中安装archlinux&plus;i3桌面，并做简单美化</a>
			</li>
						<li><a href="https://www.batexi.com/a/qwvvw0k8.html">移动web-bootstrap</a>
			</li>
						<li><a href="https://www.batexi.com/a/93ww71gq.html">Java 线程池的原理及实现</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1rr43z8.html">Web前端-Vue&period;js必备框架（二）</a>
			</li>
						<li><a href="https://www.batexi.com/a/qyyy6rdq.html">Kali学习笔记26：OWASP&lowbar;ZAP</a>
			</li>
						<li><a href="https://www.batexi.com/a/8zyy6639.html">LabVIEW（六）：创建VI</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1rry268.html">Cloud-Platform部署学习</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pww2k78.html">长沙IT二十年</a>
			</li>
						<li><a href="https://www.batexi.com/a/95gg7eeq.html">Python中的算数运算</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
